Kwalitee Issues

has_tests

Add tests!

no_pax_headers

If you use Mac OS X >= 10.6, use gnu tar (/usr/bin/gnutar) to avoid PAX headers. It's also important to rename (shorten) long file names (>= 100 characters) in the distribution.

Error: ./PaxHeaders.25533/Mojolicious-Plugin-OnFork-0.006,./PaxHeaders.25533/Mojolicious-Plugin-OnFork-0.006,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/inc,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/inc,Mojolicious-Plugin-OnFork-0.006/inc/PaxHeaders.25533/Module,Mojolicious-Plugin-OnFork-0.006/inc/PaxHeaders.25533/Module,Mojolicious-Plugin-OnFork-0.006/inc/Module/PaxHeaders.25533/Install,Mojolicious-Plugin-OnFork-0.006/inc/Module/PaxHeaders.25533/Install,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Fetch.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Fetch.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Metadata.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Metadata.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Can.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Can.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Base.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Base.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Include.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Include.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/WriteAll.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/WriteAll.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Makefile.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Makefile.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/AutoInstall.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/AutoInstall.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Win32.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/Install/PaxHeaders.25533/Win32.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/PaxHeaders.25533/AutoInstall.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/PaxHeaders.25533/AutoInstall.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/PaxHeaders.25533/Install.pm,Mojolicious-Plugin-OnFork-0.006/inc/Module/PaxHeaders.25533/Install.pm,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/lib,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/lib,Mojolicious-Plugin-OnFork-0.006/lib/PaxHeaders.25533/Mojolicious,Mojolicious-Plugin-OnFork-0.006/lib/PaxHeaders.25533/Mojolicious,Mojolicious-Plugin-OnFork-0.006/lib/Mojolicious/PaxHeaders.25533/Plugin,Mojolicious-Plugin-OnFork-0.006/lib/Mojolicious/PaxHeaders.25533/Plugin,Mojolicious-Plugin-OnFork-0.006/lib/Mojolicious/Plugin/PaxHeaders.25533/OnFork.pm,Mojolicious-Plugin-OnFork-0.006/lib/Mojolicious/Plugin/PaxHeaders.25533/OnFork.pm,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/MANIFEST,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/MANIFEST,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/Changes,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/Changes,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/META.yml,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/META.yml,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/README,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/README,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/Makefile.PL,Mojolicious-Plugin-OnFork-0.006/PaxHeaders.25533/Makefile.PL

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

has_tests_in_t_dir

Add tests or move tests.pl to the t/ directory!

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Mojolicious::Plugin::OnFork Do Something Whenever a Worker Starts 0.006 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan